# Delete WhatsApp Template Deletes a WhatsApp Template by Id. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "WhatsApp API", "version": "1.0.0", "description": "All of the below API endpoints require API key authentication, get your token at https://app.hilos.io/dev/api-keys.\n\nTo use this token, send with every request an `Authorization: Token ` header.\n\nProduction API server is located at api.hilos.io using HTTPS.\n\nNo versioning info is required for now." }, "paths": { "/channel/whatsapp/channels/whatsapp/template/{id}": { "delete": { "operationId": "Delete WhatsApp Template", "description": "Deletes a WhatsApp Template by Id.", "summary": "Delete WhatsApp Template", "parameters": [ { "in": "path", "name": "id", "schema": { "type": "string", "format": "uuid" }, "required": true } ], "tags": [ "Templates" ], "security": [ { "tokenAuth": [] } ], "responses": { "204": { "description": "No response body" } } } } }, "components": { "securitySchemes": { "tokenAuth": { "type": "apiKey", "in": "header", "name": "Token", "description": "Token-based authentication with required prefix \"Token\"" } } }, "x-tagGroups": [ { "name": "Users", "tags": [ "User" ] }, { "name": "Channels", "tags": [ "WhatsApp", "Broadcast" ] }, { "name": "Flows", "tags": [ "Flow Execution", "Flow Execution Contact" ] }, { "name": "CRM", "tags": [ "Contact", "Conversation" ] }, { "name": "Integrations", "tags": [ "Webhook Subscription" ] } ], "servers": [ { "url": "https://{youraccountname}.api-us1.com/api/3", "description": "Production Server" } ], "tags": [ { "name": "Templates" } ] } ```